LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XSubTotalCalculatable Interface Referencepublished

contains methods to handle a subtotal descriptor. More...

`import"XSubTotalCalculatable.idl";`

Inheritance diagram for XSubTotalCalculatable:

## Public Member Functions
com::sun::star::sheet::XSubTotalDescriptor | createSubTotalDescriptor ([in] boolean bEmpty)
| creates a subtotal descriptor. More...
void | applySubTotals ([in] com::sun::star::sheet::XSubTotalDescriptor xDescriptor, [in] boolean bReplace)
| creates subtotals using the settings of the passed descriptor. More...
void | removeSubTotals ()
| removes the subtotals from the current object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

contains methods to handle a subtotal descriptor.

The subtotal descriptor provides properties to set up the subtotal function.

See also
  com::sun::star::sheet::SheetCellRange
  com::sun::star::sheet::SubTotalDescriptor

Developers Guide
  Spreadsheets - Subtotals

## Member Function Documentation

## ◆ applySubTotals()

void applySubTotals | ( | [in] com::sun::star::sheet::XSubTotalDescriptor | xDescriptor,
|  | [in] boolean | bReplace
| ) |  |

creates subtotals using the settings of the passed descriptor.

Parameters

  xDescriptor | the subtotal descriptor with the settings used for the subtotal operation.
  bReplace | if set to `TRUE`, replaces previous subtotal results.

## ◆ createSubTotalDescriptor()

com::sun::star::sheet::XSubTotalDescriptor createSubTotalDescriptor | ( | [in] boolean | bEmpty | ) |

creates a subtotal descriptor.

Parameters

  bEmpty | if set to `TRUE`, creates an empty descriptor. If set to `FALSE`, fills the descriptor with previous settings of the current object (i.e. a database range).

## ◆ removeSubTotals()

void removeSubTotals | ( |  | ) |

removes the subtotals from the current object.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSubTotalCalculatable.idl